Skip to main content
POST
/
public-api
/
backfills
/
{backfill_id}
/
rerun-failed
Rerun a backfill against its failed tickets
curl --request POST \
  --url https://api.neoagent.io/public-api/backfills/{backfill_id}/rerun-failed \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "backfill": {
      "completed_at": "<string>",
      "created_at": "<string>",
      "created_by": "<string>",
      "daily_execution_windows": {
        "friday": [
          {
            "run_end_time": "<string>",
            "run_start_time": "<string>"
          }
        ],
        "monday": [
          {
            "run_end_time": "<string>",
            "run_start_time": "<string>"
          }
        ],
        "saturday": [
          {
            "run_end_time": "<string>",
            "run_start_time": "<string>"
          }
        ],
        "sunday": [
          {
            "run_end_time": "<string>",
            "run_start_time": "<string>"
          }
        ],
        "thursday": [
          {
            "run_end_time": "<string>",
            "run_start_time": "<string>"
          }
        ],
        "tuesday": [
          {
            "run_end_time": "<string>",
            "run_start_time": "<string>"
          }
        ],
        "wednesday": [
          {
            "run_end_time": "<string>",
            "run_start_time": "<string>"
          }
        ]
      },
      "error": "<string>",
      "failed_count": 123,
      "filter_spec": {},
      "id": "<string>",
      "max_in_flight": 123,
      "processed_count": 123,
      "started_at": "<string>",
      "succeeded_count": 123,
      "target_workflow_id": 123,
      "target_workflow_name": "<string>",
      "timezone": "<string>",
      "total_estimated": 123,
      "parent_backfill_run_id": "<string>"
    },
    "cost_estimate": {
      "credits_per_entity": 123,
      "total_credits_estimated": 123,
      "total_entities": 123
    }
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

backfill_id
string
required

Response

Success.

data
CreateBackfillResponse · object
required
meta
object
required